﻿using System;

namespace vBridge.Dwm.Aero.AeroAvailabilityCheckers
{
    /// <summary>
    ///     Checks if a certain glassing requirement is enabled.
    /// </summary>
    public interface IAeroAvailabilityChecker
    {
        /// <summary>
        ///     Checks if glass can be used.
        /// </summary>
        /// <returns>Whether glass can be used.</returns>
        Boolean IsEnabled();
    }
}