﻿using System;

namespace vBridge.Dwm.Aero.AeroAvailabilityCheckers
{
    /// <summary>
    ///     Checks the OS version to detect if aero-glassing is possible.
    /// </summary>
    public class SystemVersionAeroAvailabilityChecker : IAeroAvailabilityChecker
    {
        public Boolean IsEnabled()
        {
            return Environment.OSVersion.Version.Major > 5;
        }
    }
}