﻿using System;
using vBridge.Dwm.Aero.Margins;

namespace vBridge.Dwm.Aero.Glassers
{
    /// <summary>
    ///     Aero glasse windows.
    /// </summary>
    /// <implementers>
    ///     Use constructors to obtain needed window information.
    /// </implementers>
    public interface IWindowAeroGlasser
    {
        /// <summary>
        ///     The handle for the window to be glassed.
        /// </summary>
        IntPtr WindowHandle { get; }

        /// <summary>
        ///     Aero glasses a window.
        /// </summary>
        void GlassWindow(IMargins margins);
    }
}