﻿using System;

namespace vBridge.Dwm.Aero.Margins
{
    /// <summary>Represents a margins structure.</summary>
    public interface IMargins
    {
        /// <summary>
        ///     The left margin.
        /// </summary>
        Int32 Left { get; set; }

        /// <summary>
        ///     The top margin.
        /// </summary>
        Int32 Top { get; set; }

        /// <summary>
        ///     The right margin.
        /// </summary>
        Int32 Right { get; set; }

        /// <summary>
        ///     The bottom margin.
        /// </summary>
        Int32 Bottom { get; set; }
    }
}