﻿using System;
using System.Runtime.InteropServices;
using vBridge.Dwm.Aero.Margins;

namespace vBridge.Dwm
{
    internal static class NativeMethods
    {
        private const String DwmDll = @"dwmapi.dll";

        [DllImport(DwmDll)]
        internal static extern Int32 DwmExtendFrameIntoClientArea(IntPtr windowHandle, ref Margin margins);

        [DllImport(DwmDll)]
        internal static extern Int32 DwmIsCompositionEnabled([MarshalAs(UnmanagedType.Bool)] ref Boolean enabled);
    }
}